//1st fractional step for diffusion term in eta-space
//Implicit method using Thomas algorithm for tri-diagonal matrix

        scalarField QhCMC_temp(etamax+1,0), QhCMC_temp2(etamax+1, 0);

        for(label j=0 ; j <= etamax ; j++)
        {
                QhCMC_temp[j] = QhCMC[ j+k*(etamax+1)] + (1.0/rhoCMC[j+k*(etamax+1)]) * (Pin - Pin_old);
        }

                TDMA( a,  b,  c, QhCMC_temp, QhCMC_temp2, etamax+1);

        for(label j=0; j<= etamax ; j++)
        {
                if( j != 0 || j != etamax)
                {
                 QhCMCNew[ j+k*(etamax+1)]  = QhCMC_temp2[j];
                }
                else
                {
                 QhCMCNew[ j+k*(etamax+1)]  = QhCMC_temp[j];
                }
        }
